<?php
// Internetový obchod pomocí PHP & MySQL (3. vydání) verze skriptu 6.02.01
// stránky projektu www.iPraxe.com
// (c) 2001,2002,2003,2004,2005,2006 
// Autor: Tomáš Mihule e-mail: mihule@ipraxe.com

function	TELO_PROFIL() {
   // informační hlášení
   $oznam['email_neni'] = 'E-mail nebyl nalezen.';
   $oznam['email_odesilan'] = 'Přihlašovací údaje byly odeslány na vaši adresu.';
   $oznam['email_neodeslan'] = 'E-mail se nepodařilo odeslat na vaši adresu. Kontaktujte nás prosím.';
   $oznam['novy'] = 'Nová registrace.';
   $oznam['novy_nejde'] = 'Použijte jiný (jedinečný) login.';
   $oznam['potize_prihlaseni'] = 'Zkontrolujte heslo a login a zkuste se přihlásit znovu.<br />Login nesmí být již obsazen a délka hesla je minimálně 4 znaky.';
   if($_SESSION['prihlaseny'] != ''):
      $dotaz = ipraxe_mysql_query('select * from '.DBPREFIX.'zakaznici
                                   where zak_prihlaseny = "'.$_REQUEST['PHPSESSID'].'"');
      $radek = MySQL_Fetch_array($dotaz);
      $vystup ='
<h2>Zákaznické údaje</h2>
<p>V případě, že jste ukončili nákup je vhodné (pokud používá Váš počítač někdo jiný) se <a href="./ipraxe3/h_zakaznik.php?prihlaska=odhlasit">odhlásit</a>, případně stačí uzavřít prohlížeč (Explorer, Netscape Navigator).</p>
<p class="posledni_objednavky">Zde se můžete podívat na své poslední <a href="index.php?a=objednavka">objednávky</a>
<form id="form_editace_uctu" action="./ipraxe3/h_zakaznik.php" method="post">
   <div id="fakt_udaje" class="blok_reg">
      <h3>Fakturační údaje</h3>
      <p>Věnujte pozornost pečlivému vyplnění těchto údajů, pomocí nich budou vystaveny daňové doklady.</p>
      <p><label for="n_firma">firma (osoba):</label><input type="text" class="input_100" name="n_firma" value="'.$radek['zak_fa_firma'].'" /></p>
      <p><label for="n_podnazev">podnázev:</label><input type="text" class="input_100" name="n_podnazev" value="'.$radek['zak_fa_jmeno'].'" /></p>
      <p><label for="n_ulice">ulice:</label><input type="text" class="input_100" name="n_ulice" value="'.$radek['zak_fa_ulice'].'" /></p>
      <p><label for="n_mesto">město:</label><input type="text" class="input_100" name="n_mesto" value="'.$radek['zak_fa_mesto'].'" /></p>
      <p><label for="n_psc">PSČ:</label><input type="text" class="input_20" name="n_psc" value="'.$radek['zak_fa_psc'].'" /></p>        
      <p><label for="n_ico">IČ:</label><input type="text" class="input_40" name="n_ico" value="'.$radek['zak_ic'].'"/></p>
      <p><label for="n_dic">DIČ:</label><input type="text" class="input_40" name="n_dic" value="'.$radek['zak_dic'].'" /></p>
   </div>
   <div id="doru_udaje" class="blok_reg">
      <h3>Doručovací údaje</h3>
      <p>V případě, že chcete zboží doručit na jinou adresu než fakturační vyplňte ji sem.</p> 
      <p><label for="n_dorucovaci">Adresa:</label><textarea class="input_100" name="n_dorucovaci">'.$radek['zak_dorucovaci'].'</textarea></p>
   </div>
   <div id="oznam_udaje" class="blok_reg">
      <p>Věnujte pozornost pečlivému vyplnění všech údajů. Pomocí nich budou vystaveny daňové doklady a zboží doručeno.</p>
   </div>
   <div id="kont_udaje" class="blok_reg">
      <h3>Kontaktní údaje</h3>
      <p><label for="n_mail">e-mail:</label><input type="text" class="input_60" name="n_mail" value="'.$radek['zak_email'].'" /></p>
      <p><label for="n_telefon">telefon:</label><input type="text" class="input_60" name="n_telefon" value="'.$radek['zak_telefon'].'" /></p>
   </div>
   <div id="prihl_udaje" class="blok_reg">
      <h3>Přihlašovací údaje (heslo vyplňte jen pokud jej chcete měnit)</h3>
      <p><label for="n_login">login (jméno):</label><input type="text" class="input_40" name="n_login" value="'.$radek['zak_user'].'" /></p>
      <p><label for="n_heslo">heslo:</label><input type="password" class="input_40" name="n_heslo" /></p>
      <p><label for="n_heslo2">ověření:</label><input type="password" class="input_40" name="n_heslo2" /></p>
   </div>
   <div id="plateb_udaje" class="blok_reg">
      <h3>Platební údaje</h3>
      <p>Předvolte si, prosím, způsob úhrady v našem obchodě.</p>
      <p><label for="n_obvplatba">Platba:</label>'.platba($radek['zak_obvplatba']).'</p>
   </div>
   <div id="potvrzeni" class="blok_reg">
      <p class="tlacitko"><input type="submit" class="btn" value="'.SUB_PKPOKL.'" name="zap_zak" /> 
      <input type="submit" class="btn" value="'.SUB_PDOOBCH.'" name="zap_zak" /></p>
   </div>
</form></p>';
   else:
      $vystup = '';
      if(@$_GET['hlaseni'] != ''):
          $vystup .= '<p class="p_hlaska">'.$oznam[$_GET['hlaseni']].'</p>';
      endif;
   
   
      $vystup .= '
   <form id="form_prihlaseni_registrovaneho" method="post" action="./ipraxe3/h_zakaznik.php">
      <h3>Přihlášení zákazníka</h3>  
      <p>Pro přihlášení a nákup doporučujeme mít v prohlížeči povolenu práci s cookies. Nový účet založíte označením volby Nová registrace.</p>
      <p><label for="login">login:</label><input type="text" class="input_60" name="login" id="login" /></p>
      <p><label for="heslo">heslo:</label><input type="password" class="input_60" name="heslo" id="heslo" /></p>
      <p><label for="f_novy">nová registrace:</label><input type="checkbox" class="zbox" value="novy" name="f_novy" id="f_novy" /></p>
      <p class="tlacitko"><input type="submit" name="prihlaska" class="btn" value="'.SUB_OK.'" /></p>
      <h4>Zapomenuté heslo?</h4>
      <p>Pokud jste registrovaný zákazník a zapomněl jste své přihlašovací údaje, vložte zde svůj e-mail (ten, který jste uvedli jako svůj kontaktní pro tyto případy) a obratem obdržíte nové přihlašovací údaje.</p>
      <p><label for="email">e-mail:</label><input type="text" class="input_60" id="email" name="email" /></p>
      <p class="tlacitko"><input type="submit" name="ztratilto" class="btn" value="'.SUB_ZASLAT.'" /></p>     
   </form>';
   endif;
   return '<div id="telo_profil">'.$vystup.'</div>';
}

// parametry stránky
define('META_DESCRIPTION','');
define('META_KEYWORDS','ipraxe, ipraxe.com, internetový obchod, php, mysql');
define('TEXT_TITULEK_STRANKY', 'SHOP');
define('NADPIS_STRANKY','iPraxe.com');
?>